use embassy_net::tcp::TcpSocket;
use embassy_time::Duration;

use crate::NetworkStack;

async fn send_message(stack: NetworkStack, message: &[u8]) {
    let mut rx_buffer = [0; 4096];
    let mut tx_buffer = [0; 4096];
    let mut socket = TcpSocket::new(stack, &mut rx_buffer, &mut tx_buffer);
    socket.set_timeout(Some(Duration::from_secs(10)));
}
